//
//	CS575 Technical Project
//	Begurgitate
//	Spring 1999
//	Shayne White
//	for Professor Bergendahl
//
//	Begurgitate.cpp
//	The class is derived from BApplication and
//	is the main class
//
//	Log:
//	Author		Version	Date		Change
//	ssw			0.1		03/06/1999	initial rev.
//	ssw			0.2		04/03/1999	added alert box code
//	ssw			0.3		04/07/1999	added update button, reorganized some code
//

#include <AppKit.h>
#include <SupportKit.h>
#include "Begurgitate.h"


#define APP_SIGNATURE "application/x-vnd.SSW-Begurgitate"
#define APP_NAME "Begurgitate"


Begurgitate::Begurgitate() : BApplication(APP_SIGNATURE)
{
	// set up a rectangle and instantiate a new window
	aRect.Set(100, 80, 400, 350);
	aWindow = new MainWindow(aRect);
			
	// make window visible
	aWindow->Show();

}

void Begurgitate::AboutRequested()
{ 
   BAlert *alert; 
   long result; 
   
   alert = new BAlert("",	"Begurgitate v0.3, a BeOS system monitor\n"
   							"Developed by Shayne White\n"
   							"This program is freeware.\n"
   							"\n"
   							"E-mail : shayne@curvedspace.org\n"
   							"URL :    http://curvedspace.org\n\n"
							, 
                        	"  Ok  ", 
   		NULL, NULL, B_WIDTH_FROM_WIDEST, B_INFO_ALERT); 
   		
   alert->SetShortcut(0, B_ESCAPE); 
   result = alert->Go();
} 


void
Begurgitate::MessageReceived (BMessage* message)
{
	switch (message->what) {

	default:
		BApplication::MessageReceived(message);
	}
	
	return;
}
